### `authspeed` - determine authentication delays

#### Synopsis

`authspeed [ -cdm ] [ -n loops ] auth.samplekeys`

#### Description

This program encrypts a test file and determines the authentication delay to use in the NTP configuration file. There are two choices of encryption algorithm, DES Cipher-Block-Chaining (DES-CBC) and Message Digest 5 (MD5).

#### Options

`-c`
  Select total cost of encryption. Default is value to use in the authdelay configuration command.

`-d`
  Enable debug output. Default is no debug output.

`-m`
  Enable MD5 algorithm. Default is DES-CBC algorithm.

`-n loops`
  Specify the number of program loops. Default is 20,000.

#### Files

`./authstuff/auth.samplekeys` - a representative list of keys

`./authstuff/auth.speed` - a listing of results for a representative set of architectures and compilers